import { OverlayTemplate } from 'klinecharts/src/component/Overlay.js';

const segment: OverlayTemplate = {
  name: 'simpleLine',
  createPointFigures: ({ coordinates }) => {
    if (coordinates.length >= 2) {
      return [
        {
          type: 'line',
          attrs: { coordinates }
        }
      ]
    }
    return []
  }
}

export default segment
